import java.util.*;

class Solution
{
  public static void main(String[] args) {
    Scanner sc = new Scanner(System.in);

    int N = sc.nextInt();
    for (int I = 1; I <= N; ++I) {
      int[] arr = new int[3];
      for (int i = 0; i < 3; ++i)
        arr[i] = sc.nextInt();
      Arrays.sort(arr);

      System.out.println("Scenario #" + I + ":");
      if (arr[0]*arr[0] + arr[1]*arr[1] == arr[2]*arr[2])
        System.out.println("yes");
      else
        System.out.println("no");
      System.out.println();
    }
  }
}

